Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688502 - Python34 moving to Python36: broken python34-six update
Summary: Python34 moving to Python36: broken python34-six update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python3-six
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 21:02 UTC by Benjamin Pereto
Modified: 2019-04-03 18:50 UTC (History)
2 users (show)

Fixed In Version: python3-six-1.11.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 18:50:43 UTC


Attachments (Terms of Use)

Description Benjamin Pereto 2019-03-13 21:02:01 UTC
Description of problem:
update of python34-six fails

Version-Release number of selected component (if applicable):
---> Package python34-six.noarch 0:1.11.0-1.el7 will be updated
---> Package python34-six.noarch 0:1.11.0-2.el7 will be an update


How reproducible:
every time.

Steps to Reproduce:
1. sudo yum install python34-six
2. sudo yum update --enablerepo=epel-testing

Actual results:
Transaction check error:
  file /usr/lib/python3.4/site-packages/six-1.11.0-py3.4.egg-info from install of python34-six-1.11.0-2.el7.noarch conflicts with file from package python34-six-1.11.0-1.el7.noarch


Expected results:
updated python34-six to 1.11.0-2.el7


Additional info:
My testing is based on the announcement in epel-devel for the migration of python34 to python36.
Whole system upgrade to python36 is not possible if python34-six is installed.

[beni@whiplash ~]$ sudo yum install --enablerepo=epel-testing python34-six
Loaded plugins: copr, fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.schlundtech.de
 * epel: mirror.imt-systems.com
 * epel-testing: mirror.imt-systems.com
 * extras: mirror.checkdomain.de
 * remi-php72: remi.mirror.karneval.cz
 * remi-safe: remi.mirror.karneval.cz
 * updates: ftp.halifax.rwth-aachen.de
Resolving Dependencies
--> Running transaction check
---> Package python34-six.noarch 0:1.11.0-1.el7 will be updated
---> Package python34-six.noarch 0:1.11.0-2.el7 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch         Version               Repository          Size
================================================================================
Updating:
 python34-six       noarch       1.11.0-2.el7          epel-testing        32 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 32 k
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
python34-six-1.11.0-2.el7.noarch.rpm                       |  32 kB   00:00     
Running transaction check
Running transaction test


Transaction check error:
  file /usr/lib/python3.4/site-packages/six-1.11.0-py3.4.egg-info from install of python34-six-1.11.0-2.el7.noarch conflicts with file from package python34-six-1.11.0-1.el7.noarch

Error Summary
-------------

Comment 1 Fedora Update System 2019-03-13 23:56:08 UTC
python3-Cython-0.28.4-3.el7 python3-PyYAML-3.11-4.el7 python3-coverage-4.0.3-5.el7 python3-cryptography-2.3-2.el7 python3-cryptography-vectors-2.3-1.el7 python3-cups-1.9.74-4.el7 python3-dateutil-2.4.2-5.el7 python3-dbus-1.2.4-3.el7 python3-decorator-4.0.11-2.el7 python3-dns-1.15.0-8.el7 python3-docker-2.6.1-3.el7 python3-docker-pycreds-0.2.1-2.el7 python3-docutils-0.12-0.10.20140510svn7747.el7 python3-gobject3-3.22.0-6.el7 python3-greenlet-0.4.12-2.el7 python3-gssapi-1.3.0-5.el7 python3-idna-2.7-2.el7 python3-jinja2-2.8-3.el7 python3-jwt-1.6.4-2.el7 python3-kitchen-1.2.5-2.el7 python3-markupsafe-0.23-2.el7 python3-mock-2.0.0-2.el7 python3-mysql-1.3.12-2.el7 python3-netaddr-0.7.18-3.el7 python3-nose-1.3.7-4.el7 python3-numpy-1.10.4-7.el7 python3-ply-3.9-2.el7 python3-py-1.4.32-2.el7 python3-pyasn1-0.1.9-2.el7 python3-pycparser-2.14-2.el7 python3-pycurl-7.43.0-6.el7 python3-pygments-2.2.0-2.el7 python3-pytest-2.9.2-3.el7 python3-pytest-cov-2.5.1-3.el7 python3-pytz-2017.2-3.el7 python3-pyudev-0.21.0-2.el7 python3-pyusb-1.0.2-3.el7 python3-requests-2.12.5-3.el7 python3-scipy-0.18.1-2.el7 python3-setproctitle-1.1.6-3.el7 python3-setuptools-39.2.0-3.el7 python3-simplepam-0.1.5-7.el7 python3-six-1.11.0-3.el7 python3-sphinx-1.2.3-4.el7 python3-sqlalchemy-1.1.3-2.el7 python3-suds-0.6-2.el7 python3-tornado-4.4.2-2.el7 python3-urllib3-1.19.1-5.el7 python3-virtualenv-15.1.0-3.el7 python3-websocket-client-0.47.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9e9f81e581

Comment 2 Fedora Update System 2019-03-13 23:56:19 UTC
python3-Cython-0.28.4-3.el7 python3-PyYAML-3.11-4.el7 python3-coverage-4.0.3-5.el7 python3-cryptography-2.3-2.el7 python3-cryptography-vectors-2.3-1.el7 python3-cups-1.9.74-4.el7 python3-dateutil-2.4.2-5.el7 python3-dbus-1.2.4-3.el7 python3-decorator-4.0.11-2.el7 python3-dns-1.15.0-8.el7 python3-docker-2.6.1-3.el7 python3-docker-pycreds-0.2.1-2.el7 python3-docutils-0.12-0.10.20140510svn7747.el7 python3-gobject3-3.22.0-6.el7 python3-greenlet-0.4.12-2.el7 python3-gssapi-1.3.0-5.el7 python3-idna-2.7-2.el7 python3-jinja2-2.8-3.el7 python3-jwt-1.6.4-2.el7 python3-kitchen-1.2.5-2.el7 python3-markupsafe-0.23-2.el7 python3-mock-2.0.0-2.el7 python3-mysql-1.3.12-2.el7 python3-netaddr-0.7.18-3.el7 python3-nose-1.3.7-4.el7 python3-numpy-1.10.4-7.el7 python3-ply-3.9-2.el7 python3-py-1.4.32-2.el7 python3-pyasn1-0.1.9-2.el7 python3-pycparser-2.14-2.el7 python3-pycurl-7.43.0-6.el7 python3-pygments-2.2.0-2.el7 python3-pytest-2.9.2-3.el7 python3-pytest-cov-2.5.1-3.el7 python3-pytz-2017.2-3.el7 python3-pyudev-0.21.0-2.el7 python3-pyusb-1.0.2-3.el7 python3-requests-2.12.5-3.el7 python3-scipy-0.18.1-2.el7 python3-setproctitle-1.1.6-3.el7 python3-setuptools-39.2.0-3.el7 python3-simplepam-0.1.5-7.el7 python3-six-1.11.0-3.el7 python3-sphinx-1.2.3-4.el7 python3-sqlalchemy-1.1.3-2.el7 python3-suds-0.6-2.el7 python3-tornado-4.4.2-2.el7 python3-urllib3-1.19.1-5.el7 python3-virtualenv-15.1.0-3.el7 python3-websocket-client-0.47.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9e9f81e581

Comment 3 Fedora Update System 2019-03-15 06:26:34 UTC
python3-Cython-0.28.4-3.el7, python3-PyYAML-3.11-4.el7, python3-coverage-4.0.3-5.el7, python3-cryptography-2.3-2.el7, python3-cryptography-vectors-2.3-1.el7, python3-cups-1.9.74-4.el7, python3-dateutil-2.4.2-5.el7, python3-dbus-1.2.4-3.el7, python3-decorator-4.0.11-2.el7, python3-dns-1.15.0-8.el7, python3-docker-2.6.1-3.el7, python3-docker-pycreds-0.2.1-2.el7, python3-docutils-0.12-0.10.20140510svn7747.el7, python3-gobject3-3.22.0-6.el7, python3-greenlet-0.4.12-2.el7, python3-gssapi-1.3.0-5.el7, python3-idna-2.7-2.el7, python3-jinja2-2.8-3.el7, python3-jwt-1.6.4-2.el7, python3-kitchen-1.2.5-2.el7, python3-markupsafe-0.23-2.el7, python3-mock-2.0.0-2.el7, python3-mysql-1.3.12-2.el7, python3-netaddr-0.7.18-3.el7, python3-nose-1.3.7-4.el7, python3-numpy-1.10.4-7.el7, python3-ply-3.9-2.el7, python3-py-1.4.32-2.el7, python3-pyasn1-0.1.9-2.el7, python3-pycparser-2.14-2.el7, python3-pycurl-7.43.0-6.el7, python3-pygments-2.2.0-2.el7, python3-pytest-2.9.2-3.el7, python3-pytest-cov-2.5.1-3.el7, python3-pytz-2017.2-3.el7, python3-pyudev-0.21.0-2.el7, python3-pyusb-1.0.2-3.el7, python3-requests-2.12.5-3.el7, python3-scipy-0.18.1-2.el7, python3-setproctitle-1.1.6-3.el7, python3-setuptools-39.2.0-3.el7, python3-simplepam-0.1.5-7.el7, python3-six-1.11.0-3.el7, python3-sphinx-1.2.3-4.el7, python3-sqlalchemy-1.1.3-2.el7, python3-suds-0.6-2.el7, python3-tornado-4.4.2-2.el7, python3-urllib3-1.19.1-5.el7, python3-virtualenv-15.1.0-3.el7, python3-websocket-client-0.47.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9e9f81e581

Comment 4 Fedora Update System 2019-04-03 18:50:43 UTC
python3-Cython-0.28.4-3.el7, python3-PyYAML-3.11-4.el7, python3-coverage-4.0.3-5.el7, python3-cryptography-2.3-2.el7, python3-cryptography-vectors-2.3-1.el7, python3-cups-1.9.74-4.el7, python3-dateutil-2.4.2-5.el7, python3-dbus-1.2.4-3.el7, python3-decorator-4.0.11-2.el7, python3-dns-1.15.0-8.el7, python3-docker-2.6.1-3.el7, python3-docker-pycreds-0.2.1-2.el7, python3-docutils-0.12-0.10.20140510svn7747.el7, python3-gobject3-3.22.0-6.el7, python3-greenlet-0.4.12-2.el7, python3-gssapi-1.3.0-5.el7, python3-idna-2.7-2.el7, python3-jinja2-2.8-3.el7, python3-jwt-1.6.4-2.el7, python3-kitchen-1.2.5-2.el7, python3-markupsafe-0.23-2.el7, python3-mock-2.0.0-2.el7, python3-mysql-1.3.12-2.el7, python3-netaddr-0.7.18-3.el7, python3-nose-1.3.7-4.el7, python3-numpy-1.10.4-7.el7, python3-ply-3.9-2.el7, python3-py-1.4.32-2.el7, python3-pyasn1-0.1.9-2.el7, python3-pycparser-2.14-2.el7, python3-pycurl-7.43.0-6.el7, python3-pygments-2.2.0-2.el7, python3-pytest-2.9.2-3.el7, python3-pytest-cov-2.5.1-3.el7, python3-pytz-2017.2-3.el7, python3-pyudev-0.21.0-2.el7, python3-pyusb-1.0.2-3.el7, python3-requests-2.12.5-3.el7, python3-scipy-0.18.1-2.el7, python3-setproctitle-1.1.6-3.el7, python3-setuptools-39.2.0-3.el7, python3-simplepam-0.1.5-7.el7, python3-six-1.11.0-3.el7, python3-sphinx-1.2.3-4.el7, python3-sqlalchemy-1.1.3-2.el7, python3-suds-0.6-2.el7, python3-tornado-4.4.2-2.el7, python3-urllib3-1.19.1-5.el7, python3-virtualenv-15.1.0-3.el7, python3-websocket-client-0.47.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.